org.apache.ignite.internal.processors.service

## Class GridServiceAssignments

- java.lang.Object
- - org.apache.ignite.internal.processors.service.GridServiceAssignments

All Implemented Interfaces:
  Serializable, GridCacheInternal

    public class GridServiceAssignments
    extends Object
    implements Serializable, GridCacheInternal

Service per-node assignment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceAssignments(ServiceConfiguration cfg, UUID nodeId, long topVer)`

### Method Summary

Methods
`Object` `affinityKey()`
`Map<UUID,Integer>` `assigns()`
`void` `assigns(Map<UUID,Integer> assigns)`
`String` `cacheName()`
`ServiceConfiguration` `configuration()`
`String` `name()`
`IgnitePredicate<ClusterNode>` `nodeFilter()`
`UUID` `nodeId()`
`long` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceAssignments

    public GridServiceAssignments(ServiceConfiguration cfg,
                          UUID nodeId,
                          long topVer)

Parameters:
  `cfg` - Configuration.
  `nodeId` - Node ID.
  `topVer` - Topology version.

### Method Detail

#### configuration

    public ServiceConfiguration configuration()

Returns:
  Configuration.

#### name

    public String name()

Returns:
  Service name.

#### topologyVersion

    public long topologyVersion()

Returns:
  Topology version.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### affinityKey

    public Object affinityKey()

Returns:
  Affinity key.

#### nodeId

    public UUID nodeId()

Returns:
  Origin node ID.

#### nodeFilter

    public IgnitePredicate<ClusterNode> nodeFilter()

Returns:
  Node filter.

#### assigns

    public Map<UUID,Integer> assigns()

Returns:
  Assignments.

#### assigns

    public void assigns(Map<UUID,Integer> assigns)

Parameters:
  `assigns` - Assignments.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017